Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World.Preys
Class CommunicatingPredator

    java.lang.Object
      madkit.kernel.AbstractAgent
          SEdit.Formalisms.World.Preys.AbstractPredator
              SEdit.Formalisms.World.Preys.CommunicatingPredator

All Implemented Interfaces:
  java.io.Serializable, Brain

    public class CommunicatingPredator

extends AbstractPredator

Titre : Preys Description : Copyright : Copyright (c) 2000 Soci�t� :

Version:
  1.0
Author:
  J. Ferber
See Also:
  Serialized Form

Field Summary

Fields inherited from class SEdit.Formalisms.World.Preys.AbstractPredator
`body`

Constructor Summary
`CommunicatingPredator()`

Method Summary
`void` | `doIt()`

Methods inherited from class SEdit.Formalisms.World.Preys.AbstractPredator
`activate, delete, end, getBody, getCoeffPredator, getCoeffPrey, setBehaviorFileName, setBody, setCoeffPredator, setCoeffPrey`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunicatingPredator

    public CommunicatingPredator()

Method Detail

### doIt

    public void doIt()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.